booster::log Namespace Reference

This namespace includes Booster.Log related classes. More...

## Namespaces

| sinks
| This namespace includes various output devices (sinks) for logger.

## Classes

class | message
| This class represents a single message that should be written to log. More...
class | sink
| This is the abstract interface to general sink - the consumer of the logged messages. More...
class | logger
| This is the central class that manages all logging operations. More...

## Enumerations

enum | level_type { emergency = 0, alert = 10, critical = 20, error = 30, warning = 40, notice = 50, info = 60, debug = 70, all = 100 }

## Detailed Description

This namespace includes Booster.Log related classes.

## Enumeration Type Documentation

enum booster::log::level_type

This enum defined severity level of logged messages